ECHO(1)

NOM
echo - Afficher une ligne de texte

SYNOPSIS
echo [OPTION-COURTE]... [CHAÎNE]...
echo OPTION-LONGUE

DESCRIPTION

Afficher la(les) CHAÎNE(s) en écho sur la sortie standard.

-n  ne pas effectuer le saut de ligne final

-e  interpréter les caractères déspécifiés par une contre-oblique

-E  ne pas interpréter les caractères « déspécifiés » par une contre-oblique. C'est le comportement par défaut.

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

Si -e est présent, les séquences suivantes sont reconnues :

\\  contre-oblique (« backslash »)

\a  alerte (sonnerie)

\b  retour en arrière d'un caractère (« backspace »)

\c  ne plus produire de sortie

\e  escape

\f  saut de page

\n  nouvelle ligne

\r  retour chariot

\t  tabulation horizontale

\v  tabulation verticale

\0NNN
    octet de valeur octale NNN (de 1 à 3 digits)

\xHH
    octet de valeur hexadécimale HH (de 1 à 2 digits)

NOTE : votre interpréteur de commandes peut avoir sa propre version de echo, qui remplace en général la version décrite ici. Veuillez vous référer à la documentation de votre interpréteur de commandes pour en connaître les options.

AUTEUR
Écrit par Brian Fox et Chet Ramey.

SIGNALER DES BOGUES
Signaler toute anomalie de echo à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de echo à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète pour echo est disponible dans un manuel Texinfo. Si les programmes info et echo sont correctement installés sur votre système, la commande

    info coreutils 'echo invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Valéry Perrin <valery DOT perrin DOT debian AT free DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.